import logging
import sys

import typer
from pyetl.config.global_settings import DATE_DU_JOUR, SIDAP_LOG, TMP
from pyetl.pipeline.sihamldap.sidap import Sidap
from pyetl.tools.klogs import Klogs

app = typer.Typer()


logger = logging.getLogger(__name__)


@app.command()
def synchro_all(notification: bool = False):
    """Ajoute une valeur dans l'attribut runUnivAuthorization sur Ldapm pour l'ensemble des agents
    possédant une habilitation sur SIHAM
    """
    log = f"{TMP}/{SIDAP_LOG}_{DATE_DU_JOUR}.log"
    Klogs.setup(log)

    sapp = Sidap()
    flux = sapp.flux(notification)

    if flux:
        logger.debug("Synchro réalisé avec succès")
        sys.exit(0)
    else:
        logger.error("Une erreur est survenue")
        sys.exit(1)
