import logging
from pathlib import Path

import typer
from pyetl.config.global_settings import TMP

app = typer.Typer()

logger = logging.getLogger(__name__)


def log_callback(value: bool) -> None:
    if value:
        logging.basicConfig(
            format="%(asctime)s :: %(name)s :: %(levelname)s :: %(message)s",
            level=logging.DEBUG,
            handlers=[logging.StreamHandler()],
        )


@app.command()
def remove_all(verbose: bool = typer.Option(None, "--verbose", callback=log_callback, is_eager=True)) -> None:
    """Suppression de tous les fichiers logs contenu dans le dossier tmp"""
    tmp_path = TMP

    if Path(tmp_path).exists():
        for filename in Path(tmp_path).glob("*.log"):
            logger.info("Suppression du ficher %s", filename)
            filename.unlink()
    else:
        logger.info("Le dossier %s n'existe pas.", tmp_path)
