import os

# ... nom du fichier agents XML
FLUX_UTILISATEURS_FILENAME: str = "flux_agents"

# ... nom du fichier absences csv
FLUX_ABSENCES_FILENAME: str = "flux_absences"

# ... limitation de l'extraction des utilisateurs aux UO DSI (HUA81A0000) et DRH (HUA8120000)
EXTRACTION_DSI_DRH: list[str] = ["HUA81A0000", "HUA8120000"]

# ... mois antérieur, par défaut 12 (voir avec la RH).
# ... On récupère les données (agents, absences) sur un certain nombre de mois
MOIS_PIVOT: int = 6

# SFTP Ohris
SFTP_OHRIS: dict[str] = {
    "SFTP_HOST": os.environ.get("SFTP_OHRIS_HOST"),
    "SFTP_PORT": int(os.environ.get("SFTP_OHRIS_PORT")),
    "SFTP_USERNAME": os.environ.get("SFTP_OHRIS_USERNAME"),
    "SFTP_PASSWORD": os.environ.get("SFTP_OHRIS_PASSWORD"),
    "PATH_FPROD": "/Depot/Prod",
    "PATH_FOTHER": "/Depot/Test",
    "SSH_PPK": os.environ.get("SSH_OHRIS_SSHPPK"),
}

# Utilisateurs à ajouter durant les phases de test
# qui ne sont pas dans la structure DSI et DRH
GUEST: list[str] = [
    "RUN000101161",  # Franck Loureiro (n+1 de Mathias)
    "RUN000002900",  # Nirmal Nivert (n+1 de la RH ?)
]
