from typing import Optional

from pydantic_xml import BaseXmlModel, element, wrapped
from pyetl.model.ohris.agent.type import ContratType, GenreType, GroupeType, QuotiteType


class Utilisateur(BaseXmlModel, tag="utilisateur"):
    matricule: str = element()
    nom: str = element()
    prenom: str = element()
    genre: GenreType = element()
    login: str = element()
    mail: str = element(tag="adresseMail")
    type_contrat: ContratType = element(tag="typeContrat")
    groupe: GroupeType = element()
    societe: str = element(default="HU00000000")
    libelle_long_uo: str = wrapped("services/service", element(tag="libellelong"))
    code_uo: str = wrapped("services/service", element(tag="code"))
    date_debut_contrat: str = element(tag="dateDebutContrat")
    date_fin_contrat: str = element(tag="dateFinContrat")
    valideur: Optional[str] = element()
    quotite: QuotiteType = element()
    date_affectation_quotite: str = element(tag="dateAffectationQuotite")
    enfants: Optional[list[str]] = wrapped("enfants", element(tag="enfant", default=None))


class Utilisateurs(BaseXmlModel, tag="utilisateurs"):
    utilisateur: list[Utilisateur]
