from pathlib import Path

from cryptography.fernet import Fernet
from pyetl.tools.toolbox.mfernet import Mfernet


class Decrypt:
    @staticmethod
    def file(inputfile: str, outputfile: str, password: str, salt: str, delete: bool = False):
        """Génère un fichier chiffré à partir d'un fichier d'origine.

        Args:
            inputfile (str): fichier à décrypter
            outputfile (str): fichier décrypté généré
            password (str): mot de passe
            salt (str): pour dériver la génération de la clé
            delete (bool): supprime ou non le fichier d'origine 'inputfile'
        """
        fer = Fernet(Mfernet.generate_fernet_key(password, salt))
        with Path(inputfile).open() as f:
            file_content = f.read()
        decrypted_content = fer.decrypt(str.encode(file_content))
        with Path(outputfile).open(mode="wb") as f:
            f.write(decrypted_content)
        if delete:
            Path(inputfile).unlink()


# Decrypt.file("/Users/christophe/Pro/Projet/Dev/Python/pyetl/pyetl/output/encrypt.xml",
#              "/Users/christophe/Pro/Projet/Dev/Python/pyetl/pyetl/output/decrypt.xml",
#              "UGEga2FwYWIgbMOpIG1vciBzYW4gM3NzYXnDqSE=",
#              "4")
