import logging


class Klogs:
    @staticmethod
    def setup(file_handler: str = "") -> None:
        """Configuration des logs

        Args:
            file_handler (str): Chemin et nom du fichier pour la sauvegarde des logs. Si vide, aucun FileHandler créer.

        """
        logging.getLogger("zeep").setLevel(logging.ERROR)
        logging.getLogger("urllib3").setLevel(logging.ERROR)
        logging.getLogger("httpcore").setLevel(logging.ERROR)
        logging.getLogger("httpx").setLevel(logging.ERROR)
        logging.getLogger("ldappy").setLevel(logging.ERROR)

        # Par défault, on active les logs dans la console
        handlers = [logging.StreamHandler()]

        if file_handler:
            handlers.append(logging.FileHandler(file_handler))

        logging.basicConfig(
            format="%(asctime)s :: %(name)s :: %(levelname)s :: %(message)s", level=logging.DEBUG, handlers=handlers
        )
