import logging
from pathlib import Path
from typing import Union

logger = logging.getLogger(__name__)


class Mcsv:
    @staticmethod
    def csv_to_file(data: Union[str, bytes], *, outputfile: str) -> None:
        """Sauvegarde des données sous format string csv dans un fichier CSV

        ** Transform / Load **

        Args:
            data (Union[str, bytes]): Donnée CSV sous forme de chaine de caractère
            outputfile (str): Chemin du fichier à sauvegarder

        """
        # Écrivez l'arbre XML dans un fichier
        with Path(outputfile).open(mode="wb") as csv_file:
            logger.debug("Sauvegarde du fichier csv %s", outputfile)
            csv_file.write(data)
