import logging
from datetime import datetime

from dateutil.relativedelta import relativedelta

logger = logging.getLogger(__name__)


class Mdate:
    @staticmethod
    def get_date_n_months_ago(n) -> datetime:
        """Calcule la date d'il y a N mois par rapport à la date actuelle.

        Args:
            n (int): Nombre de mois.

        Returns:
            datetime: Date calculée.

        Exemple:
            get_date_n_months_ago(6) retourne la date d'il y a 6 mois.
        """
        current_date = datetime.now()

        return current_date - relativedelta(months=n)
