import base64

from cryptography.hazmat.primitives import hashes
from cryptography.hazmat.primitives.kdf.pbkdf2 import PBKDF2HMAC


class Mfernet:
    @staticmethod
    def generate_fernet_key(password: str, salt: str):
        password = str.encode(password)
        kdf = PBKDF2HMAC(
            algorithm=hashes.SHA256(),
            length=32,
            salt=str.encode(salt),
            iterations=480000,
        )

        return base64.urlsafe_b64encode(kdf.derive(password))
